
###########
if (Bio_Parm=="Ferguson"){source("Code/SETUP.r")
}else if(Bio_Parm=="CDC_mean"){source("Code/SETUP_CDC.R")}
###########

## Workers activation Policy: 
# each alpha defines the level of activity for each age and sector class of workforce.
# It is possible to use entries in {0,1} (and the 0 will be tranformed into 0.6 by the program) or in {0.6,1}

alpha=matrix(NA, ncol = TimeHoriz , nrow=10)
alpha[,1:(68-1)]=  c(1, 1, 1, 1, 1,   1, 1, 1, 1, 1)       #before lockdown
alpha[,68:(May4 -1)]=  c(0.6, 0.6, 0.6, 0.6, 0.6,   0.6, 0.6, 0.6,0.6, 0.6) #during lockdown
alpha[,May4:(May18-1)]=  c(1, 1, 1, 1, 1,   0.619, 0.603, 0.577, 0.567, 0.596)#4 maggio - 17 maggio (until 4 may the vector does not enter in the simulation)
alpha[,May18:(June1-1)]=  c(  1, 1, 1, 1, 1,   0.781, 0.765, 0.739, 0.729, 0.758)#18 maggio - 31 maggio
alpha[,June1: (Sept14 -1)] =       c(  1, 1, 1, 1, 1,   0.857, 0.841, 0.816, 0.805, 0.834)#1 giugno - 13 settembre
alpha[,Sept14: (TimeStartNewPolicy -1)] =       c(  1, 1, 1, 1, 1,    1, 1, 1, 1, 1)#14 settembre - 31 ottobre


if (Policy==1)      { #LOCK
  alpha[ ,TimeStartNewPolicy :TimeHoriz] = c(  0.6,  0.6,  0.6,   0.6,  0.6,    0.6,  0.6,  0.6,  0.6,  0.6)  #Policy 1: Prolonged lockdown 
} else if(Policy==2){ #SEC
  alpha[ ,TimeStartNewPolicy :TimeHoriz]= c(  1,    1,    1,     1,    1,       0.6,  0.6,  0.6,  0.6,  0.6)   #Policy 2: Going back to work by risk sectors
} else if(Policy==3){ #AGE 
  alpha[ ,TimeStartNewPolicy :TimeHoriz] = c(  1,    1,    1,     0.6,  0.6,      1,    1,    1,  0.6,  0.6)  #Policy 3: Going back to work by age 
} else if(Policy==4){ #AGE_SEC
  alpha[ ,TimeStartNewPolicy :TimeHoriz] = c(  1,    1,      1,   0.6,  0.6,      1,  0.6,  0.6,  0.6,  0.6)  #Policy 4: Going back to work by risk sectors and age; adjust as desired 
} else if(Policy==5){ #ALL
  alpha[ ,TimeStartNewPolicy :TimeHoriz]= c(  1,    1,    1,     1,    1,        1,     1,   1,    1,    1)   #Policy 5: Benchmark if all back to work 
} else if(Policy==0){ #CALIBRATION #needed to avoid Not found variable error
  alpha[ ,TimeStartNewPolicy :TimeHoriz]= c(  1,    1,    1,     1,    1,        1,     1,   1,    1,    1)
} else if(Policy==1024){ #PARETO
  alpha[ ,TimeStartNewPolicy :TimeHoriz]=Policies[kk,] 
}

###########
source("Code/Model.R")
###########

