#############################
# mobility dataset          #
#############################
rm(list = ls())
wd= dirname(rstudioapi::getActiveDocumentContext()$path)
setwd(substr(wd,1,nchar(wd)-5))

listofpackages = c("gplots","readr","foreign","readstata13", "zoo","multigroup","pracma", "matlab","dplyr","xlsx")
for (j in listofpackages){
  if(sum(installed.packages()[, 1] == j) == 0) {
    install.packages(j)
  }
  library(j, character.only = T)
}

Sys.setlocale("LC_TIME", "English")
data = read.csv2("Data/Global_Mobility_Report.csv",  header = T, stringsAsFactors = T, sep = ",")[-1]

dataset=subset(data, data$sub_region_1=="Lombardy" | data$sub_region_1=="Veneto")
dataset=subset(dataset, dataset$iso_3166_2_code=="IT-25" |dataset$iso_3166_2_code=="IT-34")
dataset$region=c(rep("lombardia",length(dataset$sub_region_1)/2),rep("veneto",length(dataset$sub_region_1)/2))


dataset=dataset[,c("date", "retail_and_recreation_percent_change_from_baseline", "grocery_and_pharmacy_percent_change_from_baseline", "parks_percent_change_from_baseline",                
                  "transit_stations_percent_change_from_baseline", "workplaces_percent_change_from_baseline",           
                 "residential_percent_change_from_baseline","region")]
colnames(dataset)<-c("Date","G_retail", "G_grocery", "G_parks", "G_transit","G_workplaces", "G_residential","region")

Lombardia <- read.csv("Data/LOMBARDIA.csv")
Veneto <- read.csv("Data/VENETO.csv")

Lombardia$date=as.Date(Lombardia$data)
Veneto$date=as.Date(Veneto$data)
dataset$date=as.Date(dataset$Date)
Lombardia$region="lombardia"
Veneto$region="veneto"

protezione_civile=rbind(Lombardia,Veneto)
MOBILITY_ANALYSIS=merge(dataset, protezione_civile,by=c("date","region"),all.x = TRUE)[,-c(3,10,11,12)]
names(MOBILITY_ANALYSIS)[9:19]<-c("P_ricoverati_con_sintomi","P_terapia_intensiva ","P_totale_ospedalizzati","P_isolamento_domiciliare","P_totale_positivi",
                                  "P_variazione_totale_positivi","P_nuovi_positivi","P_dimessi_guariti","P_deceduti","P_totale_casi","P_tamponi")
write.csv2(MOBILITY_ANALYSIS,"Data/MOBILITY_ANALYSIS.csv")                               

