#setwd(path)
wd= dirname(rstudioapi::getActiveDocumentContext()$path)
setwd(substr(wd,1,nchar(wd)-nchar(basename(wd))-1))
#clear the environment
rm(list=ls())

# install and load the relevant packages 
# packages used
listofpackages <- c("readr","rJava","xlsx")

for (j in listofpackages){
  if(sum(installed.packages()[, 1] == j) == 0) {
    install.packages(j)
  }
  library(j, character.only = T)
}

################################
#      Protezione civile       #
################################

urlfile="https://raw.githubusercontent.com/pcm-dpc/COVID-19/master/dati-regioni/dpc-covid19-ita-regioni.csv"

COVID_all<-read_csv(url(urlfile))
LOMBARDIA=subset(COVID_all,denominazione_regione=="Lombardia",select=c(1:1,4:4,7:19))
VENETO=subset(COVID_all,denominazione_regione=="Veneto",select=c(1:1,4:4,7:19))

write.csv(LOMBARDIA, "Data/LOMBARDIA.csv")
write.csv(VENETO, "Data/VENETO.csv")

#####################
#      Google       #
#####################
#note that the url may be changed by Google. The most recent one can be found at the following link https://www.google.com/covid19/mobility/ 
urlfile= "https://www.gstatic.com/covid19/mobility/Global_Mobility_Report.csv"

Google<-read_csv(url(urlfile))
dataset=subset(Google, Google$sub_region_1=="Lombardy"| Google$sub_region_1=="Veneto")
write.csv(dataset, "Data/Global_Mobility_Report.csv")
#END